<?php

namespace SweepAndGo\App\Helpers;

class Log extends SngHelper {

	protected string $table = '';

	public function __construct() {
		parent::__construct();

		$this->table = $this->db->prefix . SNG_TABLE_PREFIX . 'logs';
	}

	public function all(): ?array {
		$query = "SELECT * FROM $this->table";

		return $this->db->get_results( $query, OBJECT );
	}

	public function create( $data ) {
		$data   = [ ...$data, 'created_at' => current_time( 'mysql' ) ];
		$create = $this->db->insert( $this->table, $data );

		if ( $create ) {
			return $this->db->insert_id;
		} else {
			return new \WP_Error( 500, $this->db->last_error );
		}
	}

}