import {Functions} from '../functions.js';
export class Events extends Functions {
    register_events() {
        this.locations();
        this.logs();
        this.spinner();
    }

    locations() {
        $('.sng-delete-location').submit( evt => {
            evt.preventDefault();
            if ( confirm('Are you sure you want to delete this location?') ) {
                evt.target.submit();
            }
        })

    }
    logs() {
        this.enable_logs();
        // Show submission data
        jQuery('.sng-show-log-data').click( evt => {
            const all_data_el = jQuery('div.data');
            const log_id = evt.target.dataset.logId;
            const data_el = jQuery(`.data[data-log-id='${log_id}']`);
            if ( ! data_el.is(':visible') ) {
                all_data_el.hide(300);
                data_el.toggle(300);
                return;
            }
            all_data_el.hide(300);
        })
    }

    enable_logs() {
        let enable_logs_input = $("#sng_enabled");
        enable_logs_input.prop( "checked", enable_logs_input.val() )
        enable_logs_input.change( async ( evt ) => {
            const value = evt.target.checked;
            const form_data = new FormData(evt.target.form);
            let data = {
                action: form_data.get('action'),
                enable: value
            }
            let response = await this.send_wp_request('POST', data)
            if ( response.success ) {
                if ( value ) {
                    console.info('Logs enabled');
                } else {
                    console.info('Logs disabled');
                }
            }
        })
    }

    spinner() {
        $('.sng-button-primary').click( evt => {
            jQuery('.sng-spinner-overlay').show();
        })
    }
}