<?php

namespace SweepAndGo\Database\Migrations;

class LocationsTable {

	/**
	 * Create locations table
	 */
	public static function migrate(): void {
		global $wpdb;

		$charset_collate = $wpdb->get_charset_collate();

		$table = $wpdb->prefix . SNG_TABLE_PREFIX . 'locations';

		if ( $wpdb->get_var( "SHOW TABLES LIKE '$table'" ) != $table ) {
			$sql = "CREATE TABLE $table (
				`id` bigint(50) NOT NULL AUTO_INCREMENT,
				`slug` VARCHAR(200) NOT NULL,
				`name` VARCHAR(200) NOT NULL,
				`created_at` DATETIME NOT NULL,
				`updated_at` DATETIME NOT NULL,
				PRIMARY KEY (id)
			) $charset_collate";

			dbDelta( $sql );
		}
	}
}
