<?php

namespace SweepAndGo\Database\Migrations;

class LogsTable {

	/**
	 * Create logs table
	 */
	public static function migrate(): void {
		global $wpdb;

		$charset_collate = $wpdb->get_charset_collate();

		$table = $wpdb->prefix . SNG_TABLE_PREFIX . "logs";

		if ( $wpdb->get_var( "SHOW TABLES LIKE '$table'" ) != $table ) {

			if ( ! get_option( "sng_log_enable" ) )
				add_option( "sng_log_enable", false );

			$sql = "CREATE TABLE $table (
				`id` bigint(50) NOT NULL AUTO_INCREMENT,
				`message` LONGTEXT NOT NULL,
				`data` LONGTEXT,
				`type` VARCHAR(50) NOT NULL,
				`created_at` DATETIME NOT NULL,
				PRIMARY KEY (id)
			) $charset_collate";

			dbDelta( $sql );
		}
	}
}

