<?php

namespace SweepAndGo\Includes;

use SweepAndGo\Database\Migrator;

class Activator {
    public static function handle( $network_wide = false ) {
        if ( is_multisite() && $network_wide ) {
            foreach ( get_sites( [ 'fields' => 'ids' ] ) as $blog_id ) {
                switch_to_blog( $blog_id );
                Migrator::migrate();
                self::add_to_scheduler();
                restore_current_blog();
            }
        }
        else {
            Migrator::migrate();
            self::add_to_scheduler();
        }
    }

    public static function add_to_scheduler() {
        // Add to plugin scheduler
        try {
            $request = wp_remote_request( 'https://plugin-scheduler.ogosense.net/api/plugin_activated', [
                "method" => "POST",
                'timeout' => 60,
                "body" => [
                    "url" => site_url(),
                    "name" => get_bloginfo( 'name' )
                ]
            ] );
        } catch ( \Exception $e ) {
            error_log( $e->getMessage() );
        }
    }
}