<?php

namespace SweepAndGo\Includes;

class Deactivator {
    public static function handle( $network_wide ) {
        if ( is_multisite() && $network_wide ) {
            foreach (get_sites(['fields'=>'ids']) as $blog_id) {
                switch_to_blog($blog_id);
                self::remove_from_scheduler();
                restore_current_blog();
            }
        } else {
            self::remove_from_scheduler();
        }
    }

    public static function remove_from_scheduler() {
        try {
            $request = wp_remote_request( 'https://plugin-scheduler.ogosense.net/api/plugin_deactivated', [
                "method"  => "POST",
                'headers' => [
                    'OGO-PLUGIN-SCHEDULER' => 'OGOSENSE'
                ],
                'timeout' => 60,
                "body"    => [
                    "url" => site_url()
                ]
            ] );
        } catch ( \Exception $e ) {
            error_log($e->getMessage());
        }
    }
}