<?php

namespace SweepAndGo\Includes;

use SweepAndGo\App\Helpers\Log as LogTable;
class Log {

	const TYPE_INFO = "info";
	const TYPE_ERROR = "error";

	public static function info( $message, $data = [] ) {
		self::create_log( $message, $data, self::TYPE_INFO );
	}

	public static function error( $message, $data = [] ) {
		self::create_log( $message, $data, self::TYPE_ERROR );
	}

	public static function create_log( $message, $data, $type ) {
		if ( SNG_LOGGING_ENABLED ) {
			( new LogTable )->create([
				"message"   => $message,
				"data"      => maybe_serialize( $data ),
				"type"      => $type
			]);
		}
	}
}