<?php

/**
 * @link              https://www.sweepandgo.com
 * @since             1.0.0
 * @package           SweepAndGo
 *
 * @wordpress-plugin
 * Plugin Name:       Sweep&Go
 * Plugin URI:        https://www.sweepandgo.com
 * Description:       Sweep&Go plugin
 * Version:           0.2.0
 * Author:            Sweep&Go
 * Author URI:        https://www.sweepandgo.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       sweep-and-go
 * Domain Path:       /languages/
 */

define( 'SWEEP_AND_GO_PLUGIN_FILE', __FILE__ );

if ( version_compare( PHP_VERSION, '8.1.0' ) < 0 ) {
	add_action( 'admin_notices', 'sng_php_version_error_notice');

	return false;
}

function sng_php_version_error_notice() {
	$class   = 'notice notice-error';
	$message = __( 'Warning! The Sweep&Go plugin is only supported on PHP 8.1+, please update your PHP version before using the plugin.', 'sweep-and-go' );

	printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), esc_html( $message ) );
}

if ( filter_var( get_option("sng_log_enable"), FILTER_VALIDATE_BOOL ) ) {
	define('SNG_LOGGING_ENABLED', true);
} else {
	define('SNG_LOGGING_ENABLED', false);
}

require_once(plugin_dir_path(__FILE__) . 'boot.php');

register_activation_hook( __FILE__, ['\SweepAndGo\Includes\Activator', 'handle'] );

register_deactivation_hook( __FILE__, ['\SweepAndGo\Includes\Deactivator', 'handle'] );

function run_sweep_and_go() {
	$sweep_and_go = new SweepAndGo\Includes\Plugin;
	add_action( 'plugins_loaded', function () use ($sweep_and_go) {
		do_action( 'sweepandgo_loaded', $sweep_and_go );
	} );
}

run_sweep_and_go();