<?php
include_once( SNG_PLUGIN_DIR_PATH . '/views/admin/partials/admin_head.php' );

if ( ! isset( $data ) || ! isset( $user_id ) ) {
	wp_die("Invalid request");
}

$locations = $data;

?>

<?php

$messages = get_transient( $user_id . 'sng_location_page_notice' );
if ( $messages ) {
	delete_transient( $user_id . 'sng_location_page_notice' );
	echo sprintf( '<div class="notice notice-%s is-dismissible inline">%s</div>', $messages['type'], $messages['text'] );
}
?>
<div class="wrap sng-wrap">
    <div class="sng-container" style="padding: 0 2rem;">
        <div class="sng-locations">
            <div class="sng-header">
                <h3><?php _e("My Locations", "sng-client-onboarding"); ?></h3>
                <form action="<?php echo admin_url( 'admin-post.php' ); ?>" method="POST">
	                <?php wp_nonce_field( "connect-location-" . get_current_user_id() ); ?>
                    <input type="hidden" name="action" value="sng_connect_location">
                    <button type="submit" class="sng-button sng-button-primary">ADD NEW LOCATION</button>
                </form>
            </div>
            <table class="wp-list-table widefat fixed striped table-view-list sweepgo_page_sweepandgo-client-onboarding-submissions">
                <thead>
                <tr>
                    <th scope="col">ACCOUNT NAME</th>
                    <th scope="col">ACCOUNT SLUG</th>
                    <th scope="col">ACTIONS</th>
                </tr>
                </thead>
                <tbody>
				<?php
				if ( empty( $locations ) ):
					echo '<tr style="background: #fff;"><td>No locations.</td></tr>';
				else:
					foreach ( $locations as $location ):
						?>
                        <tr>
                            <td><?php esc_html_e( $location->name, SNG_TEXT_DOMAIN ); ?></td>
                            <td><?php esc_html_e( $location->slug, SNG_TEXT_DOMAIN ); ?></td>
                            <td>
                                <div class="sng-table-actions">
                                    <form method="POST" class="sng-delete-location"
                                          action="<?php echo admin_url( 'admin-post.php' ); ?>">
                                        <input type="hidden" value="sng_delete_location" name="action">
                                        <input type="hidden" value="<?php echo $location->id; ?>" name="location_id">
                                        <input type="hidden" value="<?php echo $location->name; ?>" name="location_name">
										<?php wp_nonce_field( "delete-location-$user_id" ); ?>
                                        <button type="submit" class="sng-button-danger">Delete</button>
                                    </form>
                                </div>
                            </td>
                        </tr>
					<?php
					endforeach;
				endif;
				?>
                </tbody>
            </table>
        </div>
    </div>
</div>