<?php

if ( ! isset( $data ) || ! is_array( $data ) ) {
	wp_die('Something went wrong!');
}

$logs = $data;

require_once( 'partials/logs-table.php' );
include_once( 'partials/admin_head.php' );

$date = new DateTime(date('Y-m-d'));

?>
<div class="wrap sng-wrap sng-container" style="padding: 1rem;">
    <form name="log-settings" id="log_settings">
        <input type="hidden" name="action" value="sng_logs_settings_save">
	    <?php wp_nonce_field( "save-logs-settings-" . get_current_user_id() ); ?>
        <label for="sng_enabled">Enable Logs:</label>
        <label class="sng-toggle">
            <input type="checkbox" class="sng-toggle-checkbox" name="enabled" id="sng_enabled" value="<?php echo get_option( "sng_log_enable" ); ?>">
            <span class="sng-toggle-input"></span>
        </label>
    </form>
	<form method="post">
        <?php
		$table = new LogsTable();
		// Prepare table
		$table->prepare_items();
		// Display table
		$table->display();
        ?>
	</form>
</div>
<style>
    #screen-meta-links {
        position: absolute;
        right: 0;
    }

    .select2-container {
        width: 500px !important;
    }

    .select2-container--default.select2-container .select2-selection--multiple {
        height: 30px;
        overflow: hidden;
    }
</style>
<script>
    // Filter submissions by type
    jQuery("#dofilteraction").click(function () {
        let filters = jQuery("#sng_filters").val();
        let params = new URLSearchParams(window.location.search);
        let url = window.location.href.split('?')[0];
        if ( filters.length !== 0 ) {
            params.set('filters', filters);
        } else {
            params.delete('filters')
        }
        window.location.replace(`${url}?${params.toString()}`)
    })
</script>