<?php
include_once( 'partials/admin_head.php' );
$message = get_transient( $user_id . 'sng_location_settings_action' );

if ( $message ) {
	delete_transient( $user_id . 'sng_settings_action' );
	echo sprintf( '<div class="notice notice-%s is-dismissible inline"><p>%s</p></div>', $message['type'], $message['message'] );
}
?>

<div class="wrap sng-wrap sng-container">
    <div class="sng-settings-subtitle">System Info</div>
    <div class="sng-setting-group">
        <div class="sng-setting-option">
            <div class="sng-input-group" style="display: grid;">
                <textarea style="color: black;" rows="6" name="system_info" cols="50"
                          disabled><?php do_action( 'sng_system_info' ); ?></textarea>
                <button class="sng-button-copy copy-sng-system-info" type="button">
                    <span class="sng-icon sng-copy-icon"></span> COPY
                </button>
            </div>
        </div>
    </div>
    <form id="sng_settings" action="<?php echo admin_url( 'admin-post.php' ); ?>" method="POST"
          enctype="multipart/form-data">
        <input type="hidden" name="action" value="sng_settings_update">
		<?php wp_nonce_field( "update-sweeandgo-settings-" . $user_id ); ?>
        <div class="sng-settings-subtitle">Loader</div>
        <div class="sng-setting-group">
            <div class="sng-setting-label">
                <span>Loader image:</span>
            </div>
            <div class="sng-setting-option">
                <div class="sng-upload-group">
                    <img id="sng_spinner_image"
                         src="<?php echo( $data['spinner_image'] ?? SNG_PLUGIN_URL_PATH . 'assets/images/poo_loader.png' ); ?>"/>
                    <div class="actions">
                        <label class="sng-upload-button" for="sng_spinner">Upload image</label>
                        <input type="file"
                               name="spinner_image"
                               id="sng_spinner"
                               class="sng-upload"
                               style="display: none;"
                               accept="image/png, image/jpeg, image/jpg, image/svg+xml"
                        >
                        <a href="#" class="sng-test-loader">Preview</a>
                    </div>
                </div>
            </div>
        </div>
        <hr>
        <div class="sng-setting-group">
            <div class="sng-setting-label sng-btn-flex">
                <button class="sng-button-primary" type="submit"><span class="sng-icon sng-save-icon"></span> SAVE
                    CHANGES
                </button>
                <button class="sng-button-secondary" id="sng_reset_settings" type="button">RESET TO DEFAULT</button>
            </div>
        </div>
    </form>
</div>


<script>
    jQuery('.sng-test-loader').click(evt => {
        evt.preventDefault();
        jQuery('.sng-spinner-overlay').show();
        setTimeout(() => {
            jQuery('.sng-spinner-overlay').hide()
        }, 3000);
    })

    jQuery('#sng_reset_settings').click( evt => {
        jQuery('#sng_settings input[name="action"]').val('sng_settings_reset');
        jQuery('.sng-spinner-overlay').show();
        jQuery('#sng_settings').submit();
    })

    jQuery("#sng_spinner").change(function (e) {
        const icon = jQuery(this)[0].files[0]
        const FR = new FileReader();
        FR.addEventListener("load", function (evt) {
            jQuery('#sng_spinner_image').attr('src', evt.target.result)
            jQuery('.sng-spinner img').attr('src', evt.target.result)
        })
        FR.readAsDataURL(icon)
    })

    jQuery('.sng-button-copy').click(evt => {
        navigator.clipboard.writeText(jQuery('textarea[name="system_info"]').val());
        jQuery('.sng-button-copy')[0].childNodes[2].data = 'Copied'
    });
</script>